import axios from '@/utils/axios';
import { stringToUrl } from '@/common/js/utils';

// 回显
export function getOneJoinPayMch(params) {
  return axios.post(`/SZWL-SERVER/tJoinpayMch/getOne?${stringToUrl(params)}`, params);
}
// 保存
export function saveJoinPayMch(params) {
  return axios.post(`/SZWL-SERVER/tJoinpayMch/save`, params);
}
// 撤回修改
export function updateJoinPayMchCheck(params) {
  return axios.get(`/SZWL-SERVER/tJoinpayMchCheck/update?${stringToUrl(params)}`);
}
// 上传图片
export function sentImage(params) {
  return axios.post(`/SZWL-SERVER/tJoinpayMch/sentImage`, params);
}
// 更新图片审核情况
export function updateApproveStatus(params) {
  return axios.post(`/SZWL-SERVER/tJoinpayMch/updateApproveStatus`, params);
}
// 签约
export function altMchSign(params) {
  return axios.get(`/SZWL-SERVER/tJoinpayMch/altMchSign?${stringToUrl(params)}`);
}
// 汇付账号入驻审批
export function auditAddMerchant(params) {
  return axios.get(`/SZWL-SERVER/tHuifuMch/auditAddMerchant?${stringToUrl(params)}`);
}
// 更新汇付签约状态
export function updateConStat(params) {
  return axios.post(`/SZWL-SERVER/tHuifuMch/updateConStat`, params);
}